OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.RobustnessCompatibility

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBRobustness :: MonadIO m => m Bool
- gl_ARB_robustness :: Bool
- gl_CONTEXT_FLAG_ROBUST_ACCESS_BIT_ARB :: GLbitfield
- gl_GUILTY_CONTEXT_RESET_ARB :: GLenum
- gl_INNOCENT_CONTEXT_RESET_ARB :: GLenum
- gl_LOSE_CONTEXT_ON_RESET_ARB :: GLenum
- gl_NO_ERROR :: GLenum
- gl_NO_RESET_NOTIFICATION_ARB :: GLenum
- gl_RESET_NOTIFICATION_STRATEGY_ARB :: GLenum
- gl_UNKNOWN_CONTEXT_RESET_ARB :: GLenum
- glGetGraphicsResetStatusARB :: MonadIO m => m GLenum
- glGetnColorTableARB :: MonadIO m => GLenum -> GLenum -> GLenum -> GLsizei -> Ptr a -> m ()
- glGetnCompressedTexImageARB :: MonadIO m => GLenum -> GLint -> GLsizei -> Ptr a -> m ()
- glGetnConvolutionFilterARB :: MonadIO m => GLenum -> GLenum -> GLenum -> GLsizei -> Ptr a -> m ()
- glGetnHistogramARB :: MonadIO m => GLenum -> GLboolean -> GLenum -> GLenum -> GLsizei -> Ptr a -> m ()
- glGetnMapdvARB :: MonadIO m => GLenum -> GLenum -> GLsizei -> Ptr GLdouble -> m ()
- glGetnMapfvARB :: MonadIO m => GLenum -> GLenum -> GLsizei -> Ptr GLfloat -> m ()
- glGetnMapivARB :: MonadIO m => GLenum -> GLenum -> GLsizei -> Ptr GLint -> m ()
- glGetnMinmaxARB :: MonadIO m => GLenum -> GLboolean -> GLenum -> GLenum -> GLsizei -> Ptr a -> m ()
- glGetnPixelMapfvARB :: MonadIO m => GLenum -> GLsizei -> Ptr GLfloat -> m ()
- glGetnPixelMapuivARB :: MonadIO m => GLenum -> GLsizei -> Ptr GLuint -> m ()
- glGetnPixelMapusvARB :: MonadIO m => GLenum -> GLsizei -> Ptr GLushort -> m ()
- glGetnPolygonStippleARB :: MonadIO m => GLsizei -> Ptr GLubyte -> m ()
- glGetnSeparableFilterARB :: MonadIO m => GLenum -> GLenum -> GLenum -> GLsizei -> Ptr a -> GLsizei -> Ptr b -> Ptr c -> m ()
- glGetnTexImageARB :: MonadIO m => GLenum -> GLint -> GLenum -> GLenum -> GLsizei -> Ptr a -> m ()
- glGetnUniformdvARB :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLdouble -> m ()
- glGetnUniformfvARB :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLfloat -> m ()
- glGetnUniformivARB :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint -> m ()
- glGetnUniformuivARB :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint -> m ()
- glReadnPixelsARB :: MonadIO m => GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> GLenum -> GLsizei -> Ptr a -> m ()

# Extension Support

glGetARBRobustness :: MonadIO m => m Bool

Is the ARB_robustness extension supported?

gl_ARB_robustness :: Bool

Is the ARB_robustness extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBRobustness` in those cases instead.

# Enums

gl_CONTEXT_FLAG_ROBUST_ACCESS_BIT_ARB :: GLbitfield

gl_GUILTY_CONTEXT_RESET_ARB :: GLenum

gl_INNOCENT_CONTEXT_RESET_ARB :: GLenum

gl_LOSE_CONTEXT_ON_RESET_ARB :: GLenum

gl_NO_ERROR :: GLenum

gl_NO_RESET_NOTIFICATION_ARB :: GLenum

gl_RESET_NOTIFICATION_STRATEGY_ARB :: GLenum

gl_UNKNOWN_CONTEXT_RESET_ARB :: GLenum

# Functions

glGetGraphicsResetStatusARB :: MonadIO m => m GLenum

glGetnColorTableARB

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `format`.
-> GLenum | `type`.
-> GLsizei | `bufSize`.
-> Ptr a | `table` pointing to `bufSize` elements of type `a`.
-> m () |

glGetnCompressedTexImageARB

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLint | `lod`.
-> GLsizei | `bufSize`.
-> Ptr a | `img` pointing to `bufSize` elements of type `a`.
-> m () |

glGetnConvolutionFilterARB

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `format`.
-> GLenum | `type`.
-> GLsizei | `bufSize`.
-> Ptr a | `image` pointing to `bufSize` elements of type `a`.
-> m () |

glGetnHistogramARB

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLboolean | `reset` of type Boolean.
-> GLenum | `format`.
-> GLenum | `type`.
-> GLsizei | `bufSize`.
-> Ptr a | `values` pointing to `bufSize` elements of type `a`.
-> m () |

glGetnMapdvARB

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `query`.
-> GLsizei | `bufSize`.
-> Ptr GLdouble | `v` pointing to `bufSize` elements of type `GLdouble`.
-> m () |

glGetnMapfvARB

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `query`.
-> GLsizei | `bufSize`.
-> Ptr GLfloat | `v` pointing to `bufSize` elements of type `GLfloat`.
-> m () |

glGetnMapivARB

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `query`.
-> GLsizei | `bufSize`.
-> Ptr GLint | `v` pointing to `bufSize` elements of type `GLint`.
-> m () |

glGetnMinmaxARB

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLboolean | `reset` of type Boolean.
-> GLenum | `format`.
-> GLenum | `type`.
-> GLsizei | `bufSize`.
-> Ptr a | `values` pointing to `bufSize` elements of type `a`.
-> m () |

glGetnPixelMapfvARB

Arguments

:: MonadIO m |
=> GLenum | `map`.
-> GLsizei | `bufSize`.
-> Ptr GLfloat | `values` pointing to `bufSize` elements of type `GLfloat`.
-> m () |

glGetnPixelMapuivARB

Arguments

:: MonadIO m |
=> GLenum | `map`.
-> GLsizei | `bufSize`.
-> Ptr GLuint | `values` pointing to `bufSize` elements of type `GLuint`.
-> m () |

glGetnPixelMapusvARB

Arguments

:: MonadIO m |
=> GLenum | `map`.
-> GLsizei | `bufSize`.
-> Ptr GLushort | `values` pointing to `bufSize` elements of type `GLushort`.
-> m () |

glGetnPolygonStippleARB

Arguments

:: MonadIO m |
=> GLsizei | `bufSize`.
-> Ptr GLubyte | `pattern` pointing to `bufSize` elements of type `GLubyte`.
-> m () |

glGetnSeparableFilterARB

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `format`.
-> GLenum | `type`.
-> GLsizei | `rowBufSize`.
-> Ptr a | `row` pointing to `rowBufSize` elements of type `a`.
-> GLsizei | `columnBufSize`.
-> Ptr b | `column` pointing to `columnBufSize` elements of type `b`.
-> Ptr c | `span` pointing to `0` elements of type `c`.
-> m () |

glGetnTexImageARB

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLint | `level`.
-> GLenum | `format`.
-> GLenum | `type`.
-> GLsizei | `bufSize`.
-> Ptr a | `img` pointing to `bufSize` elements of type `a`.
-> m () |

glGetnUniformdvARB

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `bufSize`.
-> Ptr GLdouble | `params` pointing to `bufSize` elements of type `GLdouble`.
-> m () |

glGetnUniformfvARB

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `bufSize`.
-> Ptr GLfloat | `params` pointing to `bufSize` elements of type `GLfloat`.
-> m () |

glGetnUniformivARB

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `bufSize`.
-> Ptr GLint | `params` pointing to `bufSize` elements of type `GLint`.
-> m () |

glGetnUniformuivARB

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `bufSize`.
-> Ptr GLuint | `params` pointing to `bufSize` elements of type `GLuint`.
-> m () |

glReadnPixelsARB

Arguments

:: MonadIO m |
=> GLint | `x`.
-> GLint | `y`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format`.
-> GLenum | `type`.
-> GLsizei | `bufSize`.
-> Ptr a | `data` pointing to `bufSize` elements of type `a`.
-> m () |

This command is an alias for `glReadnPixels`.